package de.steamwar.tutorial.commands;

import de.steamwar.command.SWCommand;
import de.steamwar.network.NetworkSender;
import de.steamwar.network.packets.client.ExecuteCommandPacket;
import de.steamwar.sql.SteamwarUser;
import org.bukkit.entity.Player;

public class TutorialCommand extends SWCommand {

    public TutorialCommand() {
        super("tutorial");
    }

    @Register("rate")
    public void rateCommand(Player player) {
        rate(player);
    }

    public static void rate(Player player) {
        NetworkSender.send(new ExecuteCommandPacket(SteamwarUser.get(player.getUniqueId()).getId(), "tutorial rate " + System.getProperty("tutorial")));
    }
}
